REST APIWallet & TransactWallet share

GET

List shares of all wallets with other BitGo users. Returns only wallets on which the current user has spend permission.

Responses

200
OK

Response Body

object

  • incoming array of objects
    incoming object
    • id string required

      matches ^[0-9a-f]{32}$

    • coin string required
      A cryptocurrency or token ticker symbol.
    • wallet string required

      matches ^[0-9a-f]{32}$

    • walletLabel string required
    • fromUser string required

      matches ^[0-9a-f]{32}$

    • toUser string required
      A cryptocurrency or token ticker symbol.
    • permission string enum

      Comma-separated list of privileges for a wallet. Includes:

      • admin - Can manage wallet policies and users and approve or reject pending approvals.
      • freeze - Can freeze a wallet, disabling all withdrawals.
      • spend - Can initiate withdrawals and generate new receive addresses.
      • trade - Can initiate trades from a Go Account (trading wallet type).
      • view - Can view balances and transactions.

      Permissions don't overlap. Required parameter if 'reshare' is false.

      adminspendtradeview
    • message string required
      User readable message to display to the share recipient
    • state string enum required
      pendingapprovalactiveacceptedcanceledrejected
    • enterprise string required

      matches ^[0-9a-f]{32}$

    • pendingApprovalId string
      Only set if this wallet share is currently pending approval
    • keychain object
      Only set if this wallet share has an associated keychain
      keychain object
      • pub string
        Sharing user's root public key
      • encryptedPrv string
        Sharing user's private key encrypted under their wallet passphrase
      • fromPubKey string
        Sharing user's derived public key which will be used to calculate the wallet sharing secret.
      • toPubKey string
        Shared-to user's derived public key which will be used to calculate the wallet sharing secret.
      • path string
        BIP32 HD path of the derived public keys (fromPubKey and toPubKey)
  • outgoing array of objects
    outgoing object
    • Same shape as WalletShare1.